Package ec.simple

# Class SimpleInitializer

java.lang.Object
ec.Initializer
ec.simple.SimpleInitializer

All Implemented Interfaces:
  `Setup`, `Singleton`, `Serializable`

Direct Known Subclasses:
  `CMAESInitializer`, `DOVSInitializer`, `GPInitializer`, `NEATInitializer`, `RuleInitializer`

public class SimpleInitializer extends Initializer
SimpleInitializer is a default Initializer which initializes a Population by calling the Population's populate(...) method. For most applications, this should suffice.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ec.Initializer

  `P_POP`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleInitializer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Population`
  `initialPopulation(EvolutionState state, int thread)`
  Creates, populates, and returns a new population by making a new population, calling setup(...) on it, and calling populate(...) on it, assuming an unthreaded environment (thread 0).
  `void`
  `setup(EvolutionState state, Parameter base)`
  Sets up the object by reading it from the parameters stored in state, built off of the parameter base base.
  `Population`
  `setupPopulation(EvolutionState state, int thread)`
  Loads a Population from the parameter file, sets it up, and returns it.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SimpleInitializer

    public SimpleInitializer()

- ## Method Details

  - ### setup

    public void setup(EvolutionState state, Parameter base)
    Description copied from interface: `Setup`
    Sets up the object by reading it from the parameters stored in state, built off of the parameter base base. If an ancestor implements this method, be sure to call super.setup(state,base); before you do anything else.

  - ### initialPopulation

    public Population initialPopulation(EvolutionState state, int thread)
    Creates, populates, and returns a new population by making a new population, calling setup(...) on it, and calling populate(...) on it, assuming an unthreaded environment (thread 0). Obviously, this is an expensive method. It should only be called once typically in a run.
    Specified by:
      `initialPopulation` in class `Initializer`

  - ### setupPopulation

    public Population setupPopulation(EvolutionState state, int thread)
    Description copied from class: `Initializer`
    Loads a Population from the parameter file, sets it up, and returns it.
    Specified by:
      `setupPopulation` in class `Initializer`